Bug 946921 - slapd fails to start on boot
Summary: slapd fails to start on boot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 18
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-01 01:12 UTC by Bojan Smojver
Modified: 2013-05-07 18:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 19:26:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Bojan Smojver 2013-04-01 01:12:15 UTC
Description of problem:
After upgrade to 2.4.34-1, slapd service no longer starts on boot. Doing service slapd start after the system is up, brings it right up.

Version-Release number of selected component (if applicable):
openldap-servers-2.4.34-1.fc18.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Upgrade to this version of openldap.
2. Reboot.
3. Watch the boot process (slapd fails to start).
4. Run systemctl status slapd.service.
  
Actual results:
Does not start.

Expected results:
Worked fine before upgrade.

Additional info:

Comment 1 Bojan Smojver 2013-04-01 01:17:21 UTC
Hmm, interestingly, downgrade to 2.4.33-3 also gives the same result. Something else must be tripping up slapd on boot...

Comment 2 Bojan Smojver 2013-04-01 02:55:45 UTC
It is probably related to network not being available when slapd is fired up:
--------------------
Apr 01 12:13:47 host slapd[759]: @(#) $OpenLDAP: slapd 2.4.33 (Oct 31 2012 12:01:33) $
Apr 01 12:13:47 host slapd[759]: daemon: bind(8) failed errno=99 (Cannot assign requested address)
Apr 01 12:13:47 host slapd[759]: slapd stopped.
Apr 01 12:13:47 host slapd[759]: connections_destroy: nothing to destroy.
Apr 01 12:13:47 host systemd[1]: slapd.service: control process exited, code=exited status=1
Apr 01 12:13:48 host systemd[1]: Unit slapd.service entered failed state
--------------------

My /etc/sysconfig/slapd has:
--------------------
SLAPD_URLS="ldap://127.0.0.1/ ldap://<private IP>/ ldaps://127.0.0.1 ldaps://<private IP>/"
--------------------

Shouldn't slapd service require network to be up by default?

Comment 3 Bojan Smojver 2013-04-01 06:15:31 UTC
Adding network.target to the service file make it come up properly. In other words:

After=syslog.target network.target

Comment 4 Fedora Update System 2013-04-03 06:57:10 UTC
openldap-2.4.35-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openldap-2.4.35-1.fc19

Comment 6 Fedora Update System 2013-04-03 07:12:38 UTC
openldap-2.4.35-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openldap-2.4.35-1.fc18

Comment 7 Fedora Update System 2013-04-03 16:08:28 UTC
Package openldap-2.4.35-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.35-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4752/openldap-2.4.35-1.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-04-15 09:24:50 UTC
openldap-2.4.35-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openldap-2.4.35-3.fc18

Comment 9 Fedora Update System 2013-04-20 19:26:39 UTC
openldap-2.4.35-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-05-07 18:24:00 UTC
openldap-2.4.35-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.